Masumi Logo

/signature-sign-create-invoice-monthly

Provides a signed message from the smart contract wallet to authorize monthly invoice retrieval for a buyer wallet. (+PAY access required)

POST
/signature/sign/create-invoice/monthly
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/signature/sign/create-invoice/monthly" \  -H "Content-Type: application/json" \  -d '{    "action": "RetrieveMonthlyInvoices",    "buyerWalletVkey": "buyer_wallet_vkey",    "month": "2025-09",    "Buyer": {      "country": "DE",      "city": "Berlin",      "zipCode": "10115",      "street": "Buyer Str.",      "streetNumber": "2",      "email": "[email protected]",      "phone": "+49 30 987654",      "name": "Bob",      "companyName": null,      "vatNumber": null    }  }'
{
  "status": "Success",
  "data": {
    "signature": "ed25519_signature",
    "key": "ed25519_key",
    "walletAddress": "addr1...",
    "signatureData": "{\"action\":\"RetrieveMonthlyInvoices\",\"validUntil\":1736352000000,\"hash\":\"...\"}"
  }
}
Masumi Kanji